If your app has gas sponsorship configured, usage of the /earn/ethereum/fees/collect endpoint
will be gas-sponsored by default. There is no need to
specify additional parameters for sponsorship.
Authorizations
Authorization
string
header
required
Basic Auth header with your app ID as the username and your app secret as the password.
Headers
privy-app-id
string
required
ID of your Privy app.
privy-authorization-signature
string
Request authorization signature. If multiple signatures are required, they should be comma separated.
privy-request-expiry
string
Request expiry. Value is a Unix timestamp in milliseconds representing the deadline by which the request must be processed.
privy-idempotency-key
string
Idempotency keys ensure API requests are executed only once within a 24-hour window.
Path Parameters
wallet_id
string
required
ID of the wallet.
Body
application/json
Input for collecting accumulated fees from an Aave vault.
vault_id
string
required
The ID of the vault to collect fees from.
nonce
string
Unique caller-generated nonce used to prevent replaying a signed wallet action request. Must be at least 24 characters (e.g. a cuid2 or UUID).
Required string length: 24 - 255
reference_id
string
Developer-provided identifier for this request. Must be unique per app.
Required string length: 1 - 64
Response
200 - application/json
Earn fee collect initiated successfully.
Response for an earn fee collect action.
id
string
required
The ID of the wallet action.
status
enum<string>
required
The current status of the wallet action.
Available options:
pending,
succeeded,
rejected,
failed
wallet_id
string
required
The ID of the wallet involved in the action.
created_at
string<date-time>
required
ISO 8601 timestamp of when the wallet action was created.
type
enum<string>
required
Available options:
earn_fee_collect
caip2
string
required
CAIP-2 chain identifier.
vault_id
string
required
The vault ID.
vault_address
string
required
ERC-4626 vault contract address.
asset_address
string
required
Underlying asset token address.
raw_amount
string | null
required
Base-unit amount of fees collected (e.g. "1500000"). Populated after on-chain confirmation.
reference_id
string | null
Developer-provided reference ID, if one was included in the request.
failure_reason
FailureReason · object
Top-level failure context for the wallet action. Present on rejected or failed actions when available.
The steps of the wallet action. Only returned if ?include=steps is provided.
A wallet action step consisting of an EVM transaction.
EVMTransactionWalletActionStep
EVMUserOperationWalletActionStep
SVMTransactionWalletActionStep
TVMTransactionWalletActionStep
ExternalTransactionWalletActionStep
CustodianTransactionWalletActionStep
TempoZoneSettlementWalletActionStep
WisdomTreeSettlementWalletActionStep
Show child attributes
asset
string
Asset identifier (e.g. "usdc", "eth"). Only present when the token is known in the asset registry.
decimals
integer
Number of decimals for the underlying asset (e.g. 6 for USDC, 18 for ETH). Only present when the token is known in the asset registry.
amount
string | null
Human-readable decimal amount of fees collected (e.g. "1.5"). Omitted when the token is not in the asset registry. Null while the action is pending; populated after on-chain confirmation.
Was this page helpful?
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Privy Docs","colors":{"primary":"#010110","light":"#FFFFFF"},"logo":{"light":"https://mintcdn.com/privy-c2af3412/Ih_Fo3QYM486gzWq/logo/privy-logo-light.png?fit=max\u0026auto=format\u0026n=Ih_Fo3QYM486gzWq\u0026q=85\u0026s=bd297b680ace8a13db4d9ce977f93180","dark":"https://mintcdn.com/privy-c2af3412/Ih_Fo3QYM486gzWq/logo/privy-logo-dark.png?fit=max\u0026auto=format\u0026n=Ih_Fo3QYM486gzWq\u0026q=85\u0026s=24d83970695ab19a1803a2eb00dbea4e"},"favicon":"https://mintcdn.com/privy-c2af3412/YByWVKlFbSpnpSJG/favicon.png?fit=max\u0026auto=format\u0026n=YByWVKlFbSpnpSJG\u0026q=85\u0026s=ee4038168ea586e5f72041e5e2a1f5c8","api":{"openapi":{"source":"https://api.staging.privy.io/v1/openapi.json"},"playground":{"display":"interactive"},"examples":{"languages":["curl","java","javascript","php","go"]},"mdx":{"server":"https://api.privy.io"}},"background":{"color":{"light":"#FFFFFF","dark":"#010110"}},"navbar":{"links":[{"href":"https://demo.privy.io","label":"Demo"},{"href":"https://privy.io/slack","label":"Support"}],"primary":{"type":"button","label":"Dashboard","href":"https://dashboard.privy.io"}},"seo":{"metatags":{"og:type":"website","og:site_name":"Privy Docs","og:image":"https://assets.privy.io/docs-og.png","twitter:title":"Privy Docs","twitter:card":"summary_large_image","twitter:image":"https://assets.privy.io/docs-og.png"},"organization":{"id":"https://www.privy.io/#organization","name":"Privy","url":"https://www.privy.io","logo":"https://assets.privy.io/docs-og.png","sameAs":["https://x.com/privy_io","https://github.com/privy-io"]}},"styling":{"codeblocks":"system","latex":true},"integrations":{"gtm":{"tagId":"GTM-WV9MVTB3"}},"contextual":{"options":["claude","chatgpt","cursor","vscode","mcp","copy","view"],"display":"header"},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"privy-c2af3412","hasAudioNarration":false,"actualSubdomain":"privy-c2af3412","customDomains":["docs.privy.io"],"gitSource":{"type":"github","owner":"privy-io","repo":"docs","deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"feedback":{"issues":true,"thumbs":true,"edits":true},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"REMOVE_BRANDING":{"status":"ENABLED"},"CONTEXTUAL_FEEDBACK":{"status":"ENABLED"},"CODE_SNIPPET_FEEDBACK":{"status":"ENABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6af7947467c1245675757a46","clientVersion":"0.0.4143","searchFilterCounts":[{"language":"default","tag":"Wallets","count":296},{"language":"default","tag":"API reference","count":255},{"language":"default","tag":"Identity","count":142},{"language":"default","tag":"Recipes","count":139},{"language":"default","tag":"All recipes","count":138},{"language":"default","tag":"Signatures and transactions","count":91},{"language":"default","tag":"Financial flows","count":88},{"language":"default","tag":"Users","count":87},{"language":"default","tag":"Basics","count":86},{"language":"default","tag":"Controls","count":77}]},"assistantConfig":{},"basePath":"","hasChatPermissions":true,"hasWebMcpPermissions":true,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-rbac-roles","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"rbac-expansion","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"full-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-dual-write","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"approve-review-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-metadata","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"sso-setup-deadline-banner","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-serve","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"live-agents","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"googleFontsInlined":false},"customCss":[{"filePath":"style.css","href":"/_mintlify/custom/privy-c2af3412/106de3f982828597/style.css"}],"page":{"pagePath":"api-reference/wallets/earn/fees-collect","slug":"/api-reference/wallets/earn/fees-collect","pageMetadata":{"title":"Earn fee collect","description":"Collect accumulated performance fees from an Aave vault.","openapi":"post /v1/wallets/{wallet_id}/earn/ethereum/fees/collect","href":"/api-reference/wallets/earn/fees-collect"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Collect accumulated performance fees from an Aave vault.\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={a:`a`,code:`code`,p:`p`,..._provideComponents(),...props.components},{Tip}=_components;if(!Tip)_missingMdxReference(`Tip`,true);return _jsx(Tip,{children:_jsxs(_components.p,{children:[`If your app has gas sponsorship configured, usage of the `,_jsx(_components.code,{children:`/earn/ethereum/fees/collect`}),` endpoint\nwill be `,_jsx(_components.a,{href:`/wallets/actions/overview#gas-management`,children:`gas-sponsored by default`}),`. There is no need to\nspecify additional parameters for sponsorship.`]})})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"codeStyling":"system","config":{},"pageMetadata":{"title":"Earn fee collect","description":"Collect accumulated performance fees from an Aave vault.","openapi":"post /v1/wallets/{wallet_id}/earn/ethereum/fees/collect","href":"/api-reference/wallets/earn/fees-collect"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":["/_mintlify/custom/privy-c2af3412/9a6cfa36ced76db0/welcome.js","/_mintlify/custom/privy-c2af3412/1af79d46bd64cd8b/fullstory.js","/_mintlify/custom/privy-c2af3412/e4d91321024fde21/recipes/recipes-search.js","/_mintlify/custom/privy-c2af3412/d31c5451398ab22c/check-links.js"],"openApiReferenceData":{"operation":{"tags":["Wallet Actions"],"operationId":"ethereumEarnFeeCollect","summary":"Earn fee collect","description":"Collect accumulated performance fees from an Aave vault.","security":["9cc6955e-3594-4a68-bc26-7377408ed8c6"],"parameters":["6ce42ed6-4dca-462a-8ead-2258e5d9d5bc","3106ca17-646f-42ba-95ac-94c60a6e93bd","a0fc17a6-8317-4bf2-a9df-527c364a903d","cf41f484-656a-4c8a-908b-86ab4e96304e","acdf02e5-8318-474a-b19e-15dc33ec750a"],"requestBody":"44a314f0-0ab3-40b4-a2b6-07a8535488ef","responses":{"200":"36259307-4109-460a-9ab9-3049de648800"},"method":"post","type":"path","servers":["ee9e78cb-241b-4d94-ba26-80229ecbba9f"],"path":"/v1/wallets/{wallet_id}/earn/ethereum/fees/collect","baseUrlOptions":["https://api.privy.io"],"title":"Earn fee collect","codeSamples":[],"requestExampleLanguages":["bash","java","javascript","php","go"],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{"6ce42ed6-4dca-462a-8ead-2258e5d9d5bc":{"schema":{"type":"string","description":"ID of the wallet.","isRequired":true,"uniqueKey":"","typeLabel":"string"},"required":true,"name":"wallet_id","in":"path"},"3106ca17-646f-42ba-95ac-94c60a6e93bd":{"schema":{"type":"string","description":"ID of your Privy app.","isRequired":true,"uniqueKey":"","typeLabel":"string"},"required":true,"name":"privy-app-id","in":"header"},"a0fc17a6-8317-4bf2-a9df-527c364a903d":{"schema":{"type":"string","description":"Request authorization signature. If multiple signatures are required, they should be comma separated.","isRequired":false,"uniqueKey":"","typeLabel":"string"},"required":false,"name":"privy-authorization-signature","in":"header"},"cf41f484-656a-4c8a-908b-86ab4e96304e":{"schema":{"type":"string","description":"Request expiry. Value is a Unix timestamp in milliseconds representing the deadline by which the request must be processed.","isRequired":false,"uniqueKey":"","typeLabel":"string"},"required":false,"name":"privy-request-expiry","in":"header"},"acdf02e5-8318-474a-b19e-15dc33ec750a":{"schema":{"type":"string","description":"Idempotency keys ensure API requests are executed only once within a 24-hour window.","isRequired":false,"uniqueKey":"","typeLabel":"string"},"required":false,"name":"privy-idempotency-key","in":"header"}},"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"vault_id":{"type":"string","description":"The ID of the vault to collect fees from.","isRequired":true,"uniqueKey":"vault_id","typeLabel":"string"},"nonce":{"type":"string","minLength":24,"maxLength":255,"description":"Unique caller-generated nonce used to prevent replaying a signed wallet action request. Must be at least 24 characters (e.g. a cuid2 or UUID).","title":"WalletActionNonce","x-stainless-model":"wallets.wallet_action_nonce","uniqueKey":"nonce","typeLabel":"string"},"reference_id":{"type":"string","minLength":1,"maxLength":64,"description":"Developer-provided identifier for this request. Must be unique per app.","uniqueKey":"reference_id","typeLabel":"string"}},"required":["vault_id"],"additionalProperties":false,"description":"Input for collecting accumulated fees from an Aave vault.","title":"EarnFeeCollectRequestBody","example":{"vault_id":"cm7oxq1el000e11o8iwp7d0d0"},"x-stainless-model":"wallets.actions.earn_fee_collect_request_body","uniqueKey":"","typeLabel":"EarnFeeCollectRequestBody · object"},"example":{"vault_id":"cm7oxq1el000e11o8iwp7d0d0"},"examples":{"Example":{"title":"Example","value":{"vault_id":"cm7oxq1el000e11o8iwp7d0d0"}}},"exampleType":"examples"}},"exampleType":"examples"},"responses":{"36259307-4109-460a-9ab9-3049de648800":{"description":"Earn fee collect initiated successfully.","content":{"application/json":{"schema":{"type":"object","properties":{"id":{"type":"string","description":"The ID of the wallet action.","isRequired":true,"uniqueKey":"id","typeLabel":"string"},"status":{"type":"string","title":"WalletActionStatus","description":"The current status of the wallet action.","enum":["pending","succeeded","rejected","failed"],"x-stainless-model":"wallets.actions.wallet_action_status","isRequired":true,"uniqueKey":"status","typeLabel":"enum\u003cstring>"},"wallet_id":{"type":"string","description":"The ID of the wallet involved in the action.","isRequired":true,"uniqueKey":"wallet_id","typeLabel":"string"},"created_at":{"type":"string","format":"date-time","description":"ISO 8601 timestamp of when the wallet action was created.","isRequired":true,"uniqueKey":"created_at","typeLabel":"string\u003cdate-time>"},"type":{"type":"string","enum":["earn_fee_collect"],"isRequired":true,"uniqueKey":"type","typeLabel":"enum\u003cstring>"},"caip2":{"type":"string","description":"CAIP-2 chain identifier.","isRequired":true,"uniqueKey":"caip2","typeLabel":"string"},"vault_id":{"type":"string","description":"The vault ID.","isRequired":true,"uniqueKey":"vault_id","typeLabel":"string"},"vault_address":{"type":"string","description":"ERC-4626 vault contract address.","isRequired":true,"uniqueKey":"vault_address","typeLabel":"string"},"asset_address":{"type":"string","description":"Underlying asset token address.","isRequired":true,"uniqueKey":"asset_address","typeLabel":"string"},"raw_amount":{"oneOf":[{"type":"string","description":"Base-unit amount of fees collected (e.g. \"1500000\"). Populated after on-chain confirmation.","isRequired":true,"uniqueKey":"raw_amount.oneOf.0","typeLabel":"string"},{"type":"null","description":"Base-unit amount of fees collected (e.g. \"1500000\"). Populated after on-chain confirmation.","isRequired":true,"uniqueKey":"raw_amount.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"raw_amount","typeLabel":"string | null"},"reference_id":{"oneOf":[{"type":"string","description":"Developer-provided reference ID, if one was included in the request.","uniqueKey":"reference_id.oneOf.0","typeLabel":"string"},{"type":"null","description":"Developer-provided reference ID, if one was included in the request.","uniqueKey":"reference_id.oneOf.1","typeLabel":"null"}],"uniqueKey":"reference_id","typeLabel":"string | null"},"failure_reason":{"type":"object","title":"FailureReason","description":"Top-level failure context for the wallet action. Present on rejected or failed actions when available.","required":["message"],"x-stainless-model":"wallets.actions.failure_reason","properties":{"message":{"type":"string","description":"Human-readable failure message.","isRequired":true,"uniqueKey":"failure_reason.message","typeLabel":"string"},"details":{"description":"Additional error details, if available.","x-stainless-any":true,"uniqueKey":"failure_reason.details","typeLabel":"any"}},"uniqueKey":"failure_reason","typeLabel":"FailureReason · object"},"steps":{"type":"array","items":{"oneOf":[{"type":"object","title":"EVMTransactionWalletActionStep","description":"A wallet action step consisting of an EVM transaction.","required":["type","status","caip2","transaction_hash"],"x-stainless-model":"wallets.actions.wallet_action_step","properties":{"type":{"type":"string","enum":["evm_transaction"],"isRequired":true,"uniqueKey":"steps.items.[INDEX].oneOf.0.type","typeLabel":"enum\u003cstring>"},"status":{"type":"string","title":"EVMWalletActionStepStatus","description":"EVM transaction status.","enum":["preparing","queued","pending","retrying","confirmed","rejected","reverted","replaced","abandoned"],"x-stainless-model":"wallets.actions.evm_wallet_action_step_status","isRequired":true,"uniqueKey":"steps.items.[INDEX].oneOf.0.status","typeLabel":"enum\u003cstring>"},"caip2":{"type":"string","description":"CAIP-2 chain identifier of the transaction, containing the chain ID.","isRequired":true,"uniqueKey":"steps.items.[INDEX].oneOf.0.caip2","typeLabel":"string"},"transaction_hash":{"oneOf":[{"type":"string","description":"The transaction hash for this step. May change while the step status is non-terminal.","isRequired":true,"uniqueKey":"steps.items.[INDEX].oneOf.0.transaction_hash.oneOf.0","typeLabel":"string"},{"type":"null","description":"The transaction hash for this step. May change while the step status is non-terminal.","isRequired":true,"uniqueKey":"steps.items.[INDEX].oneOf.0.transaction_hash.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"steps.items.[INDEX].oneOf.0.transaction_hash","typeLabel":"string | null"},"failure_reason":{"type":"object","properties":{"message":{"type":"string","description":"Human-readable failure message.","isRequired":true,"uniqueKey":"steps.items.[INDEX].oneOf.0.failure_reason.message","typeLabel":"string"},"details":{"description":"Additional error details, if available.","x-stainless-any":true,"uniqueKey":"steps.items.[INDEX].oneOf.0.failure_reason.details","typeLabel":"any"}},"required":["message"],"description":"A description of why a wallet action (or a step within a wallet action) failed.","title":"FailureReason","x-stainless-model":"wallets.actions.failure_reason","uniqueKey":"steps.items.[INDEX].oneOf.0.failure_reason","typeLabel":"FailureReason · object"},"finalized":{"type":"boolean","description":"Whether this step has reached on-chain finality. Absent until finality is confirmed.","uniqueKey":"steps.items.[INDEX].oneOf.0.finalized","typeLabel":"boolean"},"gas_credits_charged":{"oneOf":[{"type":"object","title":"CurrencyAmount","description":"Gas credits charged for this step, if sponsored; may be `null` on reads made immediately after the step confirms, and always `0` on sponsored testnet steps.","required":["value","currency"],"x-stainless-model":"shared.currency_amount","example":{"value":"100.00","currency":"usd"},"properties":{"value":{"type":"string","description":"The monetary value as a string.","isRequired":true,"uniqueKey":"steps.items.[INDEX].oneOf.0.gas_credits_charged.oneOf.0.value","typeLabel":"string"},"currency":{"type":"string","enum":["usd"],"description":"Currency code","isRequired":true,"uniqueKey":"steps.items.[INDEX].oneOf.0.gas_credits_charged.oneOf.0.currency","typeLabel":"enum\u003cstring>"}},"uniqueKey":"steps.items.[INDEX].oneOf.0.gas_credits_charged.oneOf.0","typeLabel":"CurrencyAmount · object"},{"type":"null","description":"Gas credits charged for this step, if sponsored; may be `null` on reads made immediately after the step confirms, and always `0` on sponsored testnet steps.","uniqueKey":"steps.items.[INDEX].oneOf.0.gas_credits_charged.oneOf.1","typeLabel":"null"}],"uniqueKey":"steps.items.[INDEX].oneOf.0.gas_credits_charged","typeLabel":"CurrencyAmount · object | null"},"gas_credits_charged_usd":{"oneOf":[{"type":"string","description":"Deprecated, use `gas_credits_charged` instead; gas credits charged in USD for this step, if sponsored, as a decimal string.","deprecated":true,"uniqueKey":"steps.items.[INDEX].oneOf.0.gas_credits_charged_usd.oneOf.0","typeLabel":"string"},{"type":"null","description":"Deprecated, use `gas_credits_charged` instead; gas credits charged in USD for this step, if sponsored, as a decimal string.","deprecated":true,"uniqueKey":"steps.items.[INDEX].oneOf.0.gas_credits_charged_usd.oneOf.1","typeLabel":"null"}],"uniqueKey":"steps.items.[INDEX].oneOf.0.gas_credits_charged_usd","typeLabel":"string | null"}},"uniqueKey":"steps.items.[INDEX].oneOf.0","typeLabel":"EVMTransactionWalletActionStep · object"},{"type":"object","title":"EVMUserOperationWalletActionStep","description":"A wallet action step consisting of an EVM user operation.","required":["type","status","user_operation_hash","bundle_transaction_hash","caip2","entrypoint_version"],"x-stainless-model":"wallets.actions.wallet_action_step","properties":{"type":{"type":"string","enum":["evm_user_operation"],"isRequired":true,"uniqueKey":"steps.items.[INDEX].oneOf.1.type","typeLabel":"enum\u003cstring>"},"status":{"type":"string","title":"EVMWalletActionStepStatus","description":"User operation status.","enum":["preparing","queued","pending","retrying","confirmed","rejected","reverted","replaced","abandoned"],"x-stainless-model":"wallets.actions.evm_wallet_action_step_status","isRequired":true,"uniqueKey":"steps.items.[INDEX].oneOf.1.status","typeLabel":"enum\u003cstring>"},"user_operation_hash":{"oneOf":[{"type":"string","description":"The user operation hash for this step. May change while the step status is non-terminal.","isRequired":true,"uniqueKey":"steps.items.[INDEX].oneOf.1.user_operation_hash.oneOf.0","typeLabel":"string"},{"type":"null","description":"The user operation hash for this step. May change while the step status is non-terminal.","isRequired":true,"uniqueKey":"steps.items.[INDEX].oneOf.1.user_operation_hash.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"steps.items.[INDEX].oneOf.1.user_operation_hash","typeLabel":"string | null"},"bundle_transaction_hash":{"oneOf":[{"type":"string","description":"Transaction hash of the bundle in which this user operation was included. Null until included by a bundler.","isRequired":true,"uniqueKey":"steps.items.[INDEX].oneOf.1.bundle_transaction_hash.oneOf.0","typeLabel":"string"},{"type":"null","description":"Transaction hash of the bundle in which this user operation was included. Null until included by a bundler.","isRequired":true,"uniqueKey":"steps.items.[INDEX].oneOf.1.bundle_transaction_hash.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"steps.items.[INDEX].oneOf.1.bundle_transaction_hash","typeLabel":"string | null"},"caip2":{"type":"string","description":"CAIP-2 network identifier, containing the chain ID of the user operation.","isRequired":true,"uniqueKey":"steps.items.[INDEX].oneOf.1.caip2","typeLabel":"string"},"entrypoint_version":{"type":"string","title":"EVMUserOperationEntrypointVersion","description":"The entrypoint version of the user operation.","enum":["0.6","0.7","0.8","0.9"],"x-stainless-model":"wallets.actions.evm_user_operation_entrypoint_version","isRequired":true,"uniqueKey":"steps.items.[INDEX].oneOf.1.entrypoint_version","typeLabel":"enum\u003cstring>"},"failure_reason":{"type":"object","properties":{"message":{"type":"string","description":"Human-readable failure message.","isRequired":true,"uniqueKey":"steps.items.[INDEX].oneOf.1.failure_reason.message","typeLabel":"string"},"details":{"description":"Additional error details, if available.","x-stainless-any":true,"uniqueKey":"steps.items.[INDEX].oneOf.1.failure_reason.details","typeLabel":"any"}},"required":["message"],"description":"A description of why a wallet action (or a step within a wallet action) failed.","title":"FailureReason","x-stainless-model":"wallets.actions.failure_reason","uniqueKey":"steps.items.[INDEX].oneOf.1.failure_reason","typeLabel":"FailureReason · object"},"finalized":{"type":"boolean","description":"Whether this step has reached on-chain finality. Absent until finality is confirmed.","uniqueKey":"steps.items.[INDEX].oneOf.1.finalized","typeLabel":"boolean"},"gas_credits_charged":{"oneOf":[{"type":"object","title":"CurrencyAmount","description":"Gas credits charged for this step, if sponsored; may be `null` on reads made immediately after the step confirms, and always `0` on sponsored testnet steps.","required":["value","currency"],"x-stainless-model":"shared.currency_amount","example":{"value":"100.00","currency":"usd"},"properties":{"value":{"type":"string","description":"The monetary value as a string.","isRequired":true,"uniqueKey":"steps.items.[INDEX].oneOf.1.gas_credits_charged.oneOf.0.value","typeLabel":"string"},"currency":{"type":"string","enum":["usd"],"description":"Currency code","isRequired":true,"uniqueKey":"steps.items.[INDEX].oneOf.1.gas_credits_charged.oneOf.0.currency","typeLabel":"enum\u003cstring>"}},"uniqueKey":"steps.items.[INDEX].oneOf.1.gas_credits_charged.oneOf.0","typeLabel":"CurrencyAmount · object"},{"type":"null","description":"Gas credits charged for this step, if sponsored; may be `null` on reads made immediately after the step confirms, and always `0` on sponsored testnet steps.","uniqueKey":"steps.items.[INDEX].oneOf.1.gas_credits_charged.oneOf.1","typeLabel":"null"}],"uniqueKey":"steps.items.[INDEX].oneOf.1.gas_credits_charged","typeLabel":"CurrencyAmount · object | null"},"gas_credits_charged_usd":{"oneOf":[{"type":"string","description":"Deprecated, use `gas_credits_charged` instead; gas credits charged in USD for this step, if sponsored, as a decimal string.","deprecated":true,"uniqueKey":"steps.items.[INDEX].oneOf.1.gas_credits_charged_usd.oneOf.0","typeLabel":"string"},{"type":"null","description":"Deprecated, use `gas_credits_charged` instead; gas credits charged in USD for this step, if sponsored, as a decimal string.","deprecated":true,"uniqueKey":"steps.items.[INDEX].oneOf.1.gas_credits_charged_usd.oneOf.1","typeLabel":"null"}],"uniqueKey":"steps.items.[INDEX].oneOf.1.gas_credits_charged_usd","typeLabel":"string | null"}},"uniqueKey":"steps.items.[INDEX].oneOf.1","typeLabel":"EVMUserOperationWalletActionStep · object"},{"type":"object","title":"SVMTransactionWalletActionStep","description":"A wallet action step consisting of an SVM (Solana) transaction.","required":["type","status","caip2","transaction_signature"],"x-stainless-model":"wallets.actions.wallet_action_step","properties":{"type":{"type":"string","enum":["svm_transaction"],"isRequired":true,"uniqueKey":"steps.items.[INDEX].oneOf.2.type","typeLabel":"enum\u003cstring>"},"status":{"type":"string","title":"SVMWalletActionStepStatus","description":"SVM transaction status.","enum":["preparing","queued","pending","confirmed","rejected","reverted","failed"],"x-stainless-model":"wallets.actions.svm_wallet_action_step_status","isRequired":true,"uniqueKey":"steps.items.[INDEX].oneOf.2.status","typeLabel":"enum\u003cstring>"},"caip2":{"type":"string","description":"CAIP-2 chain identifier for the Solana network.","isRequired":true,"uniqueKey":"steps.items.[INDEX].oneOf.2.caip2","typeLabel":"string"},"transaction_signature":{"oneOf":[{"type":"string","description":"The Solana transaction signature (base58-encoded). Null until broadcast.","isRequired":true,"uniqueKey":"steps.items.[INDEX].oneOf.2.transaction_signature.oneOf.0","typeLabel":"string"},{"type":"null","description":"The Solana transaction signature (base58-encoded). Null until broadcast.","isRequired":true,"uniqueKey":"steps.items.[INDEX].oneOf.2.transaction_signature.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"steps.items.[INDEX].oneOf.2.transaction_signature","typeLabel":"string | null"},"failure_reason":{"type":"object","properties":{"message":{"type":"string","description":"Human-readable failure message.","isRequired":true,"uniqueKey":"steps.items.[INDEX].oneOf.2.failure_reason.message","typeLabel":"string"},"details":{"description":"Additional error details, if available.","x-stainless-any":true,"uniqueKey":"steps.items.[INDEX].oneOf.2.failure_reason.details","typeLabel":"any"}},"required":["message"],"description":"A description of why a wallet action (or a step within a wallet action) failed.","title":"FailureReason","x-stainless-model":"wallets.actions.failure_reason","uniqueKey":"steps.items.[INDEX].oneOf.2.failure_reason","typeLabel":"FailureReason · object"},"finalized":{"type":"boolean","description":"Whether this step has reached on-chain finality. Absent until finality is confirmed.","uniqueKey":"steps.items.[INDEX].oneOf.2.finalized","typeLabel":"boolean"},"gas_credits_charged":{"oneOf":[{"type":"object","title":"CurrencyAmount","description":"Gas credits charged for this step, if sponsored; may be `null` on reads made immediately after the step confirms, and always `0` on sponsored testnet steps.","required":["value","currency"],"x-stainless-model":"shared.currency_amount","example":{"value":"100.00","currency":"usd"},"properties":{"value":{"type":"string","description":"The monetary value as a string.","isRequired":true,"uniqueKey":"steps.items.[INDEX].oneOf.2.gas_credits_charged.oneOf.0.value","typeLabel":"string"},"currency":{"type":"string","enum":["usd"],"description":"Currency code","isRequired":true,"uniqueKey":"steps.items.[INDEX].oneOf.2.gas_credits_charged.oneOf.0.currency","typeLabel":"enum\u003cstring>"}},"uniqueKey":"steps.items.[INDEX].oneOf.2.gas_credits_charged.oneOf.0","typeLabel":"CurrencyAmount · object"},{"type":"null","description":"Gas credits charged for this step, if sponsored; may be `null` on reads made immediately after the step confirms, and always `0` on sponsored testnet steps.","uniqueKey":"steps.items.[INDEX].oneOf.2.gas_credits_charged.oneOf.1","typeLabel":"null"}],"uniqueKey":"steps.items.[INDEX].oneOf.2.gas_credits_charged","typeLabel":"CurrencyAmount · object | null"},"gas_credits_charged_usd":{"oneOf":[{"type":"string","description":"Deprecated, use `gas_credits_charged` instead; gas credits charged in USD for this step, if sponsored, as a decimal string.","deprecated":true,"uniqueKey":"steps.items.[INDEX].oneOf.2.gas_credits_charged_usd.oneOf.0","typeLabel":"string"},{"type":"null","description":"Deprecated, use `gas_credits_charged` instead; gas credits charged in USD for this step, if sponsored, as a decimal string.","deprecated":true,"uniqueKey":"steps.items.[INDEX].oneOf.2.gas_credits_charged_usd.oneOf.1","typeLabel":"null"}],"uniqueKey":"steps.items.[INDEX].oneOf.2.gas_credits_charged_usd","typeLabel":"string | null"}},"uniqueKey":"steps.items.[INDEX].oneOf.2","typeLabel":"SVMTransactionWalletActionStep · object"},{"type":"object","title":"TVMTransactionWalletActionStep","description":"A wallet action step consisting of a TVM (Tron) transaction.","required":["type","status","caip2","transaction_id"],"x-stainless-model":"wallets.actions.wallet_action_step","properties":{"type":{"type":"string","enum":["tvm_transaction"],"isRequired":true,"uniqueKey":"steps.items.[INDEX].oneOf.3.type","typeLabel":"enum\u003cstring>"},"status":{"type":"string","title":"TVMWalletActionStepStatus","description":"TVM transaction status.","enum":["preparing","queued","pending","confirmed","rejected","reverted","failed"],"x-stainless-model":"wallets.actions.tvm_wallet_action_step_status","isRequired":true,"uniqueKey":"steps.items.[INDEX].oneOf.3.status","typeLabel":"enum\u003cstring>"},"caip2":{"type":"string","description":"CAIP-2 chain identifier for the Tron network.","isRequired":true,"uniqueKey":"steps.items.[INDEX].oneOf.3.caip2","typeLabel":"string"},"transaction_id":{"oneOf":[{"type":"string","description":"The Tron transaction ID. Null until broadcast.","isRequired":true,"uniqueKey":"steps.items.[INDEX].oneOf.3.transaction_id.oneOf.0","typeLabel":"string"},{"type":"null","description":"The Tron transaction ID. Null until broadcast.","isRequired":true,"uniqueKey":"steps.items.[INDEX].oneOf.3.transaction_id.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"steps.items.[INDEX].oneOf.3.transaction_id","typeLabel":"string | null"},"failure_reason":{"type":"object","properties":{"message":{"type":"string","description":"Human-readable failure message.","isRequired":true,"uniqueKey":"steps.items.[INDEX].oneOf.3.failure_reason.message","typeLabel":"string"},"details":{"description":"Additional error details, if available.","x-stainless-any":true,"uniqueKey":"steps.items.[INDEX].oneOf.3.failure_reason.details","typeLabel":"any"}},"required":["message"],"description":"A description of why a wallet action (or a step within a wallet action) failed.","title":"FailureReason","x-stainless-model":"wallets.actions.failure_reason","uniqueKey":"steps.items.[INDEX].oneOf.3.failure_reason","typeLabel":"FailureReason · object"},"gas_credits_charged":{"oneOf":[{"type":"object","title":"CurrencyAmount","description":"Gas credits charged for this step, if sponsored; may be `null` on reads made immediately after the step confirms, and always `0` on sponsored testnet steps.","required":["value","currency"],"x-stainless-model":"shared.currency_amount","example":{"value":"100.00","currency":"usd"},"properties":{"value":{"type":"string","description":"The monetary value as a string.","isRequired":true,"uniqueKey":"steps.items.[INDEX].oneOf.3.gas_credits_charged.oneOf.0.value","typeLabel":"string"},"currency":{"type":"string","enum":["usd"],"description":"Currency code","isRequired":true,"uniqueKey":"steps.items.[INDEX].oneOf.3.gas_credits_charged.oneOf.0.currency","typeLabel":"enum\u003cstring>"}},"uniqueKey":"steps.items.[INDEX].oneOf.3.gas_credits_charged.oneOf.0","typeLabel":"CurrencyAmount · object"},{"type":"null","description":"Gas credits charged for this step, if sponsored; may be `null` on reads made immediately after the step confirms, and always `0` on sponsored testnet steps.","uniqueKey":"steps.items.[INDEX].oneOf.3.gas_credits_charged.oneOf.1","typeLabel":"null"}],"uniqueKey":"steps.items.[INDEX].oneOf.3.gas_credits_charged","typeLabel":"CurrencyAmount · object | null"},"gas_credits_charged_usd":{"oneOf":[{"type":"string","description":"Deprecated, use `gas_credits_charged` instead; gas credits charged in USD for this step, if sponsored, as a decimal string.","deprecated":true,"uniqueKey":"steps.items.[INDEX].oneOf.3.gas_credits_charged_usd.oneOf.0","typeLabel":"string"},{"type":"null","description":"Deprecated, use `gas_credits_charged` instead; gas credits charged in USD for this step, if sponsored, as a decimal string.","deprecated":true,"uniqueKey":"steps.items.[INDEX].oneOf.3.gas_credits_charged_usd.oneOf.1","typeLabel":"null"}],"uniqueKey":"steps.items.[INDEX].oneOf.3.gas_credits_charged_usd","typeLabel":"string | null"}},"uniqueKey":"steps.items.[INDEX].oneOf.3","typeLabel":"TVMTransactionWalletActionStep · object"},{"type":"object","title":"ExternalTransactionWalletActionStep","description":"A wallet action step representing a cross-chain/cross-asset fill by an external provider.","required":["type","status","provider"],"x-stainless-model":"wallets.actions.wallet_action_step","properties":{"type":{"type":"string","enum":["external_transaction"],"isRequired":true,"uniqueKey":"steps.items.[INDEX].oneOf.4.type","typeLabel":"enum\u003cstring>"},"status":{"type":"string","title":"ExternalTransactionWalletActionStepStatus","description":"External transaction step status.","enum":["preparing","queued","pending","confirmed","rejected","failed"],"x-stainless-model":"wallets.actions.external_transaction_wallet_action_step_status","isRequired":true,"uniqueKey":"steps.items.[INDEX].oneOf.4.status","typeLabel":"enum\u003cstring>"},"provider":{"oneOf":[{"type":"string","title":"ExternalTransactionStepProvider","description":"External provider filling this step, or null until the fill is requested.","enum":["relay","tempo_routes","bridge"],"x-stainless-model":"wallets.actions.external_transaction_step_provider","isRequired":true,"uniqueKey":"steps.items.[INDEX].oneOf.4.provider.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"string","title":"ExternalTransactionStepProvider","description":"External provider filling this step, or null until the fill is requested.","x-stainless-model":"wallets.actions.external_transaction_step_provider","isRequired":true,"uniqueKey":"steps.items.[INDEX].oneOf.4.provider.oneOf.1","typeLabel":"string"},{"type":"null","description":"External provider filling this step, or null until the fill is requested.","isRequired":true,"uniqueKey":"steps.items.[INDEX].oneOf.4.provider.oneOf.2","typeLabel":"null"}],"isRequired":true,"uniqueKey":"steps.items.[INDEX].oneOf.4.provider","typeLabel":"enum\u003cstring> | string | null"},"failure_reason":{"type":"object","properties":{"message":{"type":"string","description":"Human-readable failure message.","isRequired":true,"uniqueKey":"steps.items.[INDEX].oneOf.4.failure_reason.message","typeLabel":"string"},"details":{"description":"Additional error details, if available.","x-stainless-any":true,"uniqueKey":"steps.items.[INDEX].oneOf.4.failure_reason.details","typeLabel":"any"}},"required":["message"],"description":"A description of why a wallet action (or a step within a wallet action) failed.","title":"FailureReason","x-stainless-model":"wallets.actions.failure_reason","uniqueKey":"steps.items.[INDEX].oneOf.4.failure_reason","typeLabel":"FailureReason · object"}},"uniqueKey":"steps.items.[INDEX].oneOf.4","typeLabel":"ExternalTransactionWalletActionStep · object"},{"type":"object","title":"CustodianTransactionWalletActionStep","description":"A wallet action step representing a transaction executed by a custodian (e.g. Bridge).","required":["type","status","custodian","transaction_hash"],"x-stainless-model":"wallets.actions.wallet_action_step","properties":{"type":{"type":"string","enum":["custodian_transaction"],"isRequired":true,"uniqueKey":"steps.items.[INDEX].oneOf.5.type","typeLabel":"enum\u003cstring>"},"status":{"type":"string","title":"CustodianTransactionWalletActionStepStatus","description":"Custodian transaction step status.","enum":["preparing","queued","custodian_reviewing","pending","confirmed","rejected","failed"],"x-stainless-model":"wallets.actions.custodian_transaction_wallet_action_step_status","isRequired":true,"uniqueKey":"steps.items.[INDEX].oneOf.5.status","typeLabel":"enum\u003cstring>"},"custodian":{"type":"string","description":"Identifier of the custodian executing this transaction (e.g. \"bridge\").","isRequired":true,"uniqueKey":"steps.items.[INDEX].oneOf.5.custodian","typeLabel":"string"},"transaction_hash":{"oneOf":[{"type":"string","description":"Identifier of the transaction the custodian last reported on the destination chain. Set on a settled transfer, and also on a failed one when the custodian had already broadcast a payout that was later returned. Null until the custodian reports one.","isRequired":true,"uniqueKey":"steps.items.[INDEX].oneOf.5.transaction_hash.oneOf.0","typeLabel":"string"},{"type":"null","description":"Identifier of the transaction the custodian last reported on the destination chain. Set on a settled transfer, and also on a failed one when the custodian had already broadcast a payout that was later returned. Null until the custodian reports one.","isRequired":true,"uniqueKey":"steps.items.[INDEX].oneOf.5.transaction_hash.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"steps.items.[INDEX].oneOf.5.transaction_hash","typeLabel":"string | null"},"failure_reason":{"type":"object","properties":{"message":{"type":"string","description":"Human-readable failure message.","isRequired":true,"uniqueKey":"steps.items.[INDEX].oneOf.5.failure_reason.message","typeLabel":"string"},"details":{"description":"Additional error details, if available.","x-stainless-any":true,"uniqueKey":"steps.items.[INDEX].oneOf.5.failure_reason.details","typeLabel":"any"}},"required":["message"],"description":"A description of why a wallet action (or a step within a wallet action) failed.","title":"FailureReason","x-stainless-model":"wallets.actions.failure_reason","uniqueKey":"steps.items.[INDEX].oneOf.5.failure_reason","typeLabel":"FailureReason · object"}},"uniqueKey":"steps.items.[INDEX].oneOf.5","typeLabel":"CustodianTransactionWalletActionStep · object"},{"type":"object","title":"TempoZoneSettlementWalletActionStep","description":"A wallet action step representing a Tempo Zone settlement on its parent chain.","required":["type","caip2","transaction_hash","status"],"x-stainless-model":"wallets.actions.wallet_action_step","properties":{"type":{"type":"string","enum":["tempo_zone_settlement"],"isRequired":true,"uniqueKey":"steps.items.[INDEX].oneOf.6.type","typeLabel":"enum\u003cstring>"},"caip2":{"oneOf":[{"type":"string","description":"CAIP-2 identifier of the Tempo parent chain, or null when unavailable.","isRequired":true,"uniqueKey":"steps.items.[INDEX].oneOf.6.caip2.oneOf.0","typeLabel":"string"},{"type":"null","description":"CAIP-2 identifier of the Tempo parent chain, or null when unavailable.","isRequired":true,"uniqueKey":"steps.items.[INDEX].oneOf.6.caip2.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"steps.items.[INDEX].oneOf.6.caip2","typeLabel":"string | null"},"transaction_hash":{"oneOf":[{"type":"string","title":"Hex","description":"Parent-chain settlement transaction hash, or null until completion.","maxLength":300002,"x-stainless-model":"wallets.hex","isRequired":true,"uniqueKey":"steps.items.[INDEX].oneOf.6.transaction_hash.oneOf.0","typeLabel":"string"},{"type":"null","description":"Parent-chain settlement transaction hash, or null until completion.","isRequired":true,"uniqueKey":"steps.items.[INDEX].oneOf.6.transaction_hash.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"steps.items.[INDEX].oneOf.6.transaction_hash","typeLabel":"string | null"},"status":{"type":"string","title":"ExternalTransactionWalletActionStepStatus","description":"Tempo Zone settlement step status.","enum":["preparing","queued","pending","confirmed","rejected","failed"],"x-stainless-model":"wallets.actions.external_transaction_wallet_action_step_status","isRequired":true,"uniqueKey":"steps.items.[INDEX].oneOf.6.status","typeLabel":"enum\u003cstring>"},"failure_reason":{"type":"object","properties":{"message":{"type":"string","description":"Human-readable failure message.","isRequired":true,"uniqueKey":"steps.items.[INDEX].oneOf.6.failure_reason.message","typeLabel":"string"},"details":{"description":"Additional error details, if available.","x-stainless-any":true,"uniqueKey":"steps.items.[INDEX].oneOf.6.failure_reason.details","typeLabel":"any"}},"required":["message"],"description":"A description of why a wallet action (or a step within a wallet action) failed.","title":"FailureReason","x-stainless-model":"wallets.actions.failure_reason","uniqueKey":"steps.items.[INDEX].oneOf.6.failure_reason","typeLabel":"FailureReason · object"}},"uniqueKey":"steps.items.[INDEX].oneOf.6","typeLabel":"TempoZoneSettlementWalletActionStep · object"},{"type":"object","title":"WisdomTreeSettlementWalletActionStep","description":"A wallet action step representing the settlement of a tokenized money market fund (tMMF) order by WisdomTree.","required":["type","status","caip2","order_type","requested","received","settlement_transaction_hash"],"x-stainless-model":"wallets.actions.wallet_action_step","properties":{"type":{"type":"string","enum":["wisdomtree_settlement"],"isRequired":true,"uniqueKey":"steps.items.[INDEX].oneOf.7.type","typeLabel":"enum\u003cstring>"},"status":{"oneOf":[{"type":"string","title":"WisdomTreeSettlementWalletActionStepStatus","description":"WisdomTree settlement step status.","enum":["preparing","queued","pending","confirmed","rejected","failed"],"x-stainless-model":"wallets.actions.wisdom_tree_settlement_wallet_action_step_status","isRequired":true,"uniqueKey":"steps.items.[INDEX].oneOf.7.status.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"string","title":"WisdomTreeSettlementWalletActionStepStatus","description":"WisdomTree settlement step status.","x-stainless-model":"wallets.actions.wisdom_tree_settlement_wallet_action_step_status","isRequired":true,"uniqueKey":"steps.items.[INDEX].oneOf.7.status.oneOf.1","typeLabel":"string"}],"isRequired":true,"uniqueKey":"steps.items.[INDEX].oneOf.7.status","typeLabel":"enum\u003cstring> | string"},"caip2":{"oneOf":[{"type":"string","description":"CAIP-2 identifier of the chain the order trades on.","isRequired":true,"uniqueKey":"steps.items.[INDEX].oneOf.7.caip2.oneOf.0","typeLabel":"string"},{"type":"null","description":"CAIP-2 identifier of the chain the order trades on.","isRequired":true,"uniqueKey":"steps.items.[INDEX].oneOf.7.caip2.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"steps.items.[INDEX].oneOf.7.caip2","typeLabel":"string | null"},"order_type":{"oneOf":[{"type":"string","title":"TmmfOrderType","description":"The market the order trades in.","enum":["primary","secondary"],"x-stainless-model":"wallets.actions.tmmf_order_type","isRequired":true,"uniqueKey":"steps.items.[INDEX].oneOf.7.order_type.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","description":"The market the order trades in.","isRequired":true,"uniqueKey":"steps.items.[INDEX].oneOf.7.order_type.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"steps.items.[INDEX].oneOf.7.order_type","typeLabel":"enum\u003cstring> | null"},"requested":{"oneOf":[{"type":"object","title":"WisdomTreeSettlementDepositAssetAmount","description":"What the wallet sends.","required":["deposit_asset","amount"],"x-stainless-model":"wallets.actions.wisdom_tree_settlement_requested_amount","properties":{"deposit_asset":{"type":"string","minLength":1,"maxLength":16,"description":"Currency symbol, e.g. \"USDC\". Case-insensitive.","title":"TmmfCurrency","example":"USDC","x-stainless-model":"wallets.actions.tmmf_currency","isRequired":true,"uniqueKey":"steps.items.[INDEX].oneOf.7.requested.oneOf.0.deposit_asset","typeLabel":"string"},"amount":{"type":"string","minLength":1,"maxLength":64,"pattern":"^\\d+(\\.\\d+)?$","description":"A positive decimal amount in the asset's standard unit, e.g. \"1000.00\".","title":"TmmfDecimalAmount","example":"1000.00","x-stainless-model":"wallets.actions.tmmf_decimal_amount","isRequired":true,"uniqueKey":"steps.items.[INDEX].oneOf.7.requested.oneOf.0.amount","typeLabel":"string"}},"additionalProperties":false,"isRequired":true,"uniqueKey":"steps.items.[INDEX].oneOf.7.requested.oneOf.0","typeLabel":"WisdomTreeSettlementDepositAssetAmount · object"},{"type":"object","title":"WisdomTreeSettlementFundAmount","description":"What the wallet sends.","required":["fund","amount"],"x-stainless-model":"wallets.actions.wisdom_tree_settlement_requested_amount","properties":{"fund":{"type":"string","minLength":1,"maxLength":16,"description":"Fund ticker, e.g. \"WTGXX\". Case-insensitive.","title":"TmmfFund","example":"WTGXX","x-stainless-model":"wallets.actions.tmmf_fund","isRequired":true,"uniqueKey":"steps.items.[INDEX].oneOf.7.requested.oneOf.1.fund","typeLabel":"string"},"amount":{"type":"string","minLength":1,"maxLength":64,"pattern":"^\\d+(\\.\\d+)?$","description":"A positive decimal amount in the asset's standard unit, e.g. \"1000.00\".","title":"TmmfDecimalAmount","example":"1000.00","x-stainless-model":"wallets.actions.tmmf_decimal_amount","isRequired":true,"uniqueKey":"steps.items.[INDEX].oneOf.7.requested.oneOf.1.amount","typeLabel":"string"}},"additionalProperties":false,"isRequired":true,"uniqueKey":"steps.items.[INDEX].oneOf.7.requested.oneOf.1","typeLabel":"WisdomTreeSettlementFundAmount · object"},{"type":"null","description":"What the wallet sends.","isRequired":true,"uniqueKey":"steps.items.[INDEX].oneOf.7.requested.oneOf.2","typeLabel":"null"}],"isRequired":true,"uniqueKey":"steps.items.[INDEX].oneOf.7.requested","typeLabel":"WisdomTreeSettlementDepositAssetAmount · object | WisdomTreeSettlementFundAmount · object | null"},"received":{"oneOf":[{"type":"object","title":"WisdomTreeSettlementFundAmount","description":"What the wallet received. Null until Privy verifies the settlement on-chain.","required":["fund","amount"],"x-stainless-model":"wallets.actions.wisdom_tree_settlement_received_amount","properties":{"fund":{"type":"string","minLength":1,"maxLength":16,"description":"Fund ticker, e.g. \"WTGXX\". Case-insensitive.","title":"TmmfFund","example":"WTGXX","x-stainless-model":"wallets.actions.tmmf_fund","isRequired":true,"uniqueKey":"steps.items.[INDEX].oneOf.7.received.oneOf.0.fund","typeLabel":"string"},"amount":{"type":"string","minLength":1,"maxLength":64,"pattern":"^\\d+(\\.\\d+)?$","description":"A positive decimal amount in the asset's standard unit, e.g. \"1000.00\".","title":"TmmfDecimalAmount","example":"1000.00","x-stainless-model":"wallets.actions.tmmf_decimal_amount","isRequired":true,"uniqueKey":"steps.items.[INDEX].oneOf.7.received.oneOf.0.amount","typeLabel":"string"}},"additionalProperties":false,"isRequired":true,"uniqueKey":"steps.items.[INDEX].oneOf.7.received.oneOf.0","typeLabel":"WisdomTreeSettlementFundAmount · object"},{"type":"object","title":"WisdomTreeSettlementWithdrawAssetAmount","description":"What the wallet received. Null until Privy verifies the settlement on-chain.","required":["withdraw_asset","amount"],"x-stainless-model":"wallets.actions.wisdom_tree_settlement_received_amount","properties":{"withdraw_asset":{"type":"string","minLength":1,"maxLength":16,"description":"Currency symbol, e.g. \"USDC\". Case-insensitive.","title":"TmmfCurrency","example":"USDC","x-stainless-model":"wallets.actions.tmmf_currency","isRequired":true,"uniqueKey":"steps.items.[INDEX].oneOf.7.received.oneOf.1.withdraw_asset","typeLabel":"string"},"amount":{"type":"string","minLength":1,"maxLength":64,"pattern":"^\\d+(\\.\\d+)?$","description":"A positive decimal amount in the asset's standard unit, e.g. \"1000.00\".","title":"TmmfDecimalAmount","example":"1000.00","x-stainless-model":"wallets.actions.tmmf_decimal_amount","isRequired":true,"uniqueKey":"steps.items.[INDEX].oneOf.7.received.oneOf.1.amount","typeLabel":"string"}},"additionalProperties":false,"isRequired":true,"uniqueKey":"steps.items.[INDEX].oneOf.7.received.oneOf.1","typeLabel":"WisdomTreeSettlementWithdrawAssetAmount · object"},{"type":"null","description":"What the wallet received. Null until Privy verifies the settlement on-chain.","isRequired":true,"uniqueKey":"steps.items.[INDEX].oneOf.7.received.oneOf.2","typeLabel":"null"}],"isRequired":true,"uniqueKey":"steps.items.[INDEX].oneOf.7.received","typeLabel":"WisdomTreeSettlementFundAmount · object | WisdomTreeSettlementWithdrawAssetAmount · object | null"},"settlement_transaction_hash":{"oneOf":[{"type":"string","description":"The transaction that delivered the received asset. Null until Privy verifies the settlement.","isRequired":true,"uniqueKey":"steps.items.[INDEX].oneOf.7.settlement_transaction_hash.oneOf.0","typeLabel":"string"},{"type":"null","description":"The transaction that delivered the received asset. Null until Privy verifies the settlement.","isRequired":true,"uniqueKey":"steps.items.[INDEX].oneOf.7.settlement_transaction_hash.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"steps.items.[INDEX].oneOf.7.settlement_transaction_hash","typeLabel":"string | null"},"failure_reason":{"type":"object","properties":{"message":{"type":"string","description":"Human-readable failure message.","isRequired":true,"uniqueKey":"steps.items.[INDEX].oneOf.7.failure_reason.message","typeLabel":"string"},"details":{"description":"Additional error details, if available.","x-stainless-any":true,"uniqueKey":"steps.items.[INDEX].oneOf.7.failure_reason.details","typeLabel":"any"}},"required":["message"],"description":"A description of why a wallet action (or a step within a wallet action) failed.","title":"FailureReason","x-stainless-model":"wallets.actions.failure_reason","uniqueKey":"steps.items.[INDEX].oneOf.7.failure_reason","typeLabel":"FailureReason · object"}},"uniqueKey":"steps.items.[INDEX].oneOf.7","typeLabel":"WisdomTreeSettlementWalletActionStep · object"}],"uniqueKey":"steps.items.[INDEX]","typeLabel":"EVMTransactionWalletActionStep · object | EVMUserOperationWalletActionStep · object | SVMTransactionWalletActionStep · object | TVMTransactionWalletActionStep · object | ExternalTransactionWalletActionStep · object | CustodianTransactionWalletActionStep · object | TempoZoneSettlementWalletActionStep · object | WisdomTreeSettlementWalletActionStep · object"},"description":"The steps of the wallet action. Only returned if `?include=steps` is provided.","uniqueKey":"steps","typeLabel":"(EVMTransactionWalletActionStep · object | EVMUserOperationWalletActionStep · object | SVMTransactionWalletActionStep · object | TVMTransactionWalletActionStep · object | ExternalTransactionWalletActionStep · object | CustodianTransactionWalletActionStep · object | TempoZoneSettlementWalletActionStep · object | WisdomTreeSettlementWalletActionStep · object)[]"},"asset":{"type":"string","description":"Asset identifier (e.g. \"usdc\", \"eth\"). Only present when the token is known in the asset registry.","uniqueKey":"asset","typeLabel":"string"},"decimals":{"type":"integer","description":"Number of decimals for the underlying asset (e.g. 6 for USDC, 18 for ETH). Only present when the token is known in the asset registry.","uniqueKey":"decimals","typeLabel":"integer"},"amount":{"oneOf":[{"type":"string","description":"Human-readable decimal amount of fees collected (e.g. \"1.5\"). Omitted when the token is not in the asset registry. Null while the action is pending; populated after on-chain confirmation.","uniqueKey":"amount.oneOf.0","typeLabel":"string"},{"type":"null","description":"Human-readable decimal amount of fees collected (e.g. \"1.5\"). Omitted when the token is not in the asset registry. Null while the action is pending; populated after on-chain confirmation.","uniqueKey":"amount.oneOf.1","typeLabel":"null"}],"uniqueKey":"amount","typeLabel":"string | null"}},"required":["id","status","wallet_id","created_at","type","caip2","vault_id","vault_address","asset_address","raw_amount"],"description":"Response for an earn fee collect action.","title":"EarnFeeCollectActionResponse","x-stainless-model":"wallets.actions.earn_fee_collect_action_response","uniqueKey":"","typeLabel":"EarnFeeCollectActionResponse · object"},"example":{"id":"550e8400-e29b-41d4-a716-446655440000","status":"pending","wallet_id":"fmfdj6yqly31huorjqzq38zc","type":"earn_fee_collect","caip2":"eip155:8453","vault_id":"cm7oxq1el000e11o8iwp7d0d0","vault_address":"0x1234567890abcdef1234567890abcdef12345678","asset":"usdc","asset_address":"0x833589fcd6edb6e08f4c7c32d4f71b54bda02913","decimals":6,"amount":"12.34","raw_amount":"12340000"},"examples":{"Example":{"title":"Example","value":{"id":"550e8400-e29b-41d4-a716-446655440000","status":"pending","wallet_id":"fmfdj6yqly31huorjqzq38zc","type":"earn_fee_collect","caip2":"eip155:8453","vault_id":"cm7oxq1el000e11o8iwp7d0d0","vault_address":"0x1234567890abcdef1234567890abcdef12345678","asset":"usdc","asset_address":"0x833589fcd6edb6e08f4c7c32d4f71b54bda02913","decimals":6,"amount":"12.34","raw_amount":"12340000"}}},"exampleType":"examples"}},"exampleType":"examples"}},"security":{"9cc6955e-3594-4a68-bc26-7377408ed8c6":{"appSecretAuth":{"type":"http","scheme":"basic","description":"Basic Auth header with your app ID as the username and your app secret as the password.","scopes":[],"schemeName":"appSecretAuth"}}},"servers":{"ee9e78cb-241b-4d94-ba26-80229ecbba9f":{"url":"https://api.privy.io"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"http","scheme":"basic","description":"Basic Auth header with your app ID as the username and your app secret as the password.","scopes":[],"schemeName":"appSecretAuth"},"schema":{"title":"Basic Auth","type":"object","description":"Basic Auth header with your app ID as the username and your app secret as the password.","isRequired":true,"properties":{"username":{"type":"string","uniqueKey":"username","isRequired":true,"typeLabel":"string","deprecated":false},"password":{"type":"string","uniqueKey":"password","isRequired":true,"typeLabel":"string","deprecated":false}},"additionalProperties":false,"deprecated":false},"schemeName":"appSecretAuth","name":"Authorization"}],"title":"appSecretAuth"}]},"originalFileLocation":"https://api.staging.privy.io/v1/openapi.json"},"subdomain":"privy-c2af3412","siteName":"Privy Docs","title":"Earn fee collect - Privy Docs","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-07-16T16:28:56.500Z","originalFileLocation":"api-reference/wallets/earn/fees-collect.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Collect accumulated performance fees from an Aave vault.\">\u003cmeta data-mint-head name=\"application-name\" content=\"Privy Docs\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/privy-c2af3412/bJgmnaRQwH8sO8y5/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/privy-c2af3412/bJgmnaRQwH8sO8y5/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/privy-c2af3412/bJgmnaRQwH8sO8y5/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/privy-c2af3412/bJgmnaRQwH8sO8y5/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/privy-c2af3412/bJgmnaRQwH8sO8y5/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/privy-c2af3412/bJgmnaRQwH8sO8y5/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/privy-c2af3412/bJgmnaRQwH8sO8y5/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/privy-c2af3412/bJgmnaRQwH8sO8y5/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/privy-c2af3412/bJgmnaRQwH8sO8y5/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Earn fee collect - Privy Docs\">\u003cmeta data-mint-head property=\"og:description\" content=\"Collect accumulated performance fees from an Aave vault.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Privy Docs\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.privy.io/api-reference/wallets/earn/fees-collect\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://assets.privy.io/docs-og.png\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Privy Docs\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Collect accumulated performance fees from an Aave vault.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://assets.privy.io/docs-og.png\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/privy-c2af3412/bJgmnaRQwH8sO8y5/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Privy Docs\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#010110\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.privy.io/api-reference/wallets/earn/fees-collect\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/wallets/earn/fees-collect.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://www.privy.io/#organization\",\"name\":\"Privy\",\"url\":\"https://www.privy.io\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://assets.privy.io/docs-og.png\"},\"sameAs\":[\"https://x.com/privy_io\",\"https://github.com/privy-io\"]},{\"@type\":\"WebSite\",\"@id\":\"https://docs.privy.io#website\",\"name\":\"Privy Docs\",\"url\":\"https://docs.privy.io\",\"publisher\":{\"@id\":\"https://www.privy.io/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.privy.io/api-reference/wallets/earn/fees-collect#webpage\",\"url\":\"https://docs.privy.io/api-reference/wallets/earn/fees-collect\",\"name\":\"Earn fee collect\",\"description\":\"Collect accumulated performance fees from an Aave vault.\",\"dateModified\":\"2026-07-16T16:28:56.500Z\",\"isPartOf\":{\"@id\":\"https://docs.privy.io#website\"},\"breadcrumb\":{\"@id\":\"https://docs.privy.io/api-reference/wallets/earn/fees-collect#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.privy.io/api-reference/wallets/earn/fees-collect#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Wallets\",\"item\":\"https://docs.privy.io/api-reference/wallets/create\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Earn\",\"item\":\"https://docs.privy.io/api-reference/wallets/earn/deposit\"},{\"@type\":\"ListItem\",\"position\":3,\"name\":\"Earn fee collect\",\"item\":\"https://docs.privy.io/api-reference/wallets/earn/fees-collect\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.privy.io/api-reference/wallets/earn/fees-collect#apireference\",\"headline\":\"Earn fee collect\",\"name\":\"Earn fee collect\",\"description\":\"Collect accumulated performance fees from an Aave vault.\",\"url\":\"https://docs.privy.io/api-reference/wallets/earn/fees-collect\",\"mainEntityOfPage\":{\"@id\":\"https://docs.privy.io/api-reference/wallets/earn/fees-collect#webpage\"},\"image\":\"https://assets.privy.io/docs-og.png\",\"dateModified\":\"2026-07-16T16:28:56.500Z\",\"publisher\":{\"@id\":\"https://www.privy.io/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.privy.io#website\"}}]}\u003c/script>","agentPointerHref":"/api-reference/wallets/earn/fees-collect.md","siteName":"Privy Docs","nav":{"global":null,"tabs":[{"tab":"Basics","pages":[{"title":"Basics","href":"/basics/get-started/about"}]},{"tab":"Wallets","menu":[{"item":"Overview","pages":[{"title":"Overview","href":"/wallets/overview"}]},{"item":"Embedded wallets","pages":[{"title":"Embedded wallets","href":"/wallets/overview/embedded"}]},{"item":"Organization wallets","pages":[{"title":"Organization wallets","href":"/organizations/overview"}]},{"item":"External wallets","pages":[{"title":"External wallets","href":"/wallets/connectors/overview"}]},{"item":"Signatures and transactions","pages":[{"title":"Signatures and transactions","href":"/wallets/signatures-and-transactions"}]},{"item":"Balances and webhooks","pages":[{"title":"Balances and webhooks","href":"/wallets/gas-and-asset-management/assets/overview"}]},{"item":"Gas and fee management","pages":[{"title":"Gas and fee management","href":"/wallets/gas-and-asset-management/gas/overview"}]}],"pages":[{"title":"Wallets","href":"/wallets/overview"}]},{"tab":"Financial flows","menu":[{"item":"Overview","pages":[{"title":"Overview","href":"/financial-flows/overview"}]},{"item":"Deposits","pages":[{"title":"Deposits","href":"/financial-flows/deposits/overview"}]},{"item":"Payouts","pages":[{"title":"Payouts","href":"/financial-flows/payouts/overview"}]},{"item":"Earn","pages":[{"title":"Earn","href":"/wallets/actions/earn/overview"}]},{"item":"Cards","pages":[{"title":"Cards","href":"/financial-flows/cards/overview"}]},{"item":"Trade","pages":[{"title":"Trade","href":"/wallets/actions/swap/overview"}]},{"item":"Monetization","pages":[{"title":"Monetization","href":"/financial-flows/monetization"}]},{"item":"Treasury management","pages":[{"title":"Treasury management","href":"/treasury-management/overview"}]},{"item":"Private transactions","pages":[{"title":"Private transactions","href":"/financial-flows/private-transactions"}]}],"pages":[{"title":"Financial flows","href":"/financial-flows/overview"}]},{"tab":"Controls and policies","menu":[{"item":"Controls","pages":[{"title":"Controls","href":"/controls/overview"}]},{"item":"Policies","pages":[{"title":"Policies","href":"/controls/policies/overview"}]},{"item":"Manual approvals","pages":[{"title":"Manual approvals","href":"/controls/dashboard/overview"}]}],"pages":[{"title":"Controls and policies","href":"/controls/overview"}]},{"tab":"Identity","menu":[{"item":"Authentication","pages":[{"title":"Authentication","href":"/authentication/overview"}]},{"item":"Users","pages":[{"title":"Users","href":"/user-management/users/overview"}]},{"item":"KYC and KYB","pages":[{"title":"KYC and KYB","href":"/kyc-kyb/overview"}]}],"pages":[{"title":"Identity","href":"/authentication/overview"}]},{"tab":"Security","pages":[{"title":"Security","href":"/security/overview"}]},{"tab":"Recipes","pages":[{"title":"Recipes","href":"/recipes/overview"}]},{"tab":"API reference","groups":[{"group":"Basics","pages":[{"title":"Introduction","href":"/api-reference/introduction"},{"title":"Authorization signatures","href":"/api-reference/authorization-signatures"},{"title":"Idempotency keys","href":"/api-reference/idempotency-keys"},{"title":"Request expiry","href":"/api-reference/request-expiry"},{"title":"Webhooks overview","sidebarTitle":"Webhooks","href":"/api-reference/webhooks/overview"},{"title":"Privy labs APIs","sidebarTitle":"Privy labs","href":"/api-reference/labs/overview"}]},{"group":"Wallets","pages":[{"group":"Wallets","pages":[{"title":"Create wallet","openapi":"post /v1/wallets","href":"/api-reference/wallets/create"},{"title":"Create wallets in batch","openapi":"post /v1/wallets/batch","href":"/api-reference/wallets/batch-create"},{"title":"Create custodial wallets","openapi":"post /v1/custodial_wallets","href":"/api-reference/wallets/custodial-wallets"},{"title":"Get wallet","openapi":"get /v1/wallets/{wallet_id}","href":"/api-reference/wallets/get"},{"title":"Get wallets","openapi":"get /v1/wallets","href":"/api-reference/wallets/get-all"},{"title":"Get wallet by address","openapi":"post /v1/wallets/address","href":"/api-reference/wallets/get-by-address"},{"title":"Update wallet","openapi":"patch /v1/wallets/{wallet_id}","href":"/api-reference/wallets/update"},{"title":"Assign wallet entity","openapi":"post /v1/wallets/{wallet_id}/entity","href":"/api-reference/wallets/entity"},{"title":"Archive wallet","openapi":"post /v1/wallets/{wallet_id}/archive","href":"/api-reference/wallets/archive"},{"title":"Get balance","openapi":"get /v1/wallets/{wallet_id}/balance","href":"/api-reference/wallets/get-balance"},{"title":"Get transactions","openapi":"get /v1/wallets/{wallet_id}/transactions","href":"/api-reference/wallets/get-transactions"},{"title":"Export wallet","openapi":"post /v1/wallets/{wallet_id}/export","href":"/api-reference/wallets/export"},{"group":"Import wallet","pages":[{"title":"Initialize import","openapi":"post /v1/wallets/import/init","href":"/api-reference/wallets/import/init"},{"title":"Submit import","openapi":"post /v1/wallets/import/submit","href":"/api-reference/wallets/import/submit"}]},{"title":"Authenticate","openapi":"post /v1/wallets/authenticate","href":"/api-reference/wallets/authenticate"},{"group":"Webhooks","pages":[{"openapi":"webhook wallet.archived","title":"Wallet archived","href":"/api-reference/webhooks/wallet/archived"},{"openapi":"webhook wallet.restored","title":"Wallet restored","href":"/api-reference/webhooks/wallet/restored"},{"openapi":"webhook wallet.funds_deposited","title":"Funds deposited","href":"/api-reference/webhooks/wallet/funds_deposited"},{"openapi":"webhook wallet.funds_withdrawn","title":"Funds withdrawn","href":"/api-reference/webhooks/wallet/funds_withdrawn"},{"openapi":"webhook wallet.private_key_export","title":"Private key export","href":"/api-reference/webhooks/wallet/private_key_export"},{"openapi":"webhook wallet.recovered","title":"Wallet recovered","href":"/api-reference/webhooks/wallet/recovered"},{"openapi":"webhook wallet.recovery_setup","title":"Wallet recovery setup","href":"/api-reference/webhooks/wallet/recovery_setup"}]}]},{"group":"Signatures and transactions","pages":[{"group":"Ethereum","pages":[{"title":"eth_sendTransaction","api":"post /v1/wallets/{wallet_id}/rpc","href":"/api-reference/wallets/ethereum/eth-send-transaction"},{"title":"wallet_sendCalls","api":"post /v1/wallets/{wallet_id}/rpc","href":"/api-reference/wallets/ethereum/wallet-send-calls"},{"title":"personal_sign","api":"post /v1/wallets/{wallet_id}/rpc","href":"/api-reference/wallets/ethereum/personal-sign"},{"title":"eth_signTransaction","api":"post /v1/wallets/{wallet_id}/rpc","href":"/api-reference/wallets/ethereum/eth-sign-transaction"},{"title":"eth_signTypedData_v4","api":"post /v1/wallets/{wallet_id}/rpc","href":"/api-reference/wallets/ethereum/eth-signtypeddata-v4"},{"title":"eth_signUserOperation","api":"post /v1/wallets/{wallet_id}/rpc","href":"/api-reference/wallets/ethereum/eth-sign-user-operation"},{"title":"eth_sign7702Authorization","api":"post /v1/wallets/{wallet_id}/rpc","href":"/api-reference/wallets/ethereum/eth-sign-7702-authorization"},{"title":"secp256k1_sign","api":"post /v1/wallets/{wallet_id}/rpc","href":"/api-reference/wallets/ethereum/secp256k1-sign"}]},{"group":"Solana","pages":[{"title":"signMessage","api":"post /v1/wallets/{wallet_id}/rpc","href":"/api-reference/wallets/solana/sign-message"},{"title":"signTransaction","api":"post /v1/wallets/{wallet_id}/rpc","href":"/api-reference/wallets/solana/sign-transaction"},{"title":"signAndSendTransaction","api":"post /v1/wallets/{wallet_id}/rpc","href":"/api-reference/wallets/solana/sign-and-send-transaction"}]},{"group":"Tempo","pages":[{"title":"eth_sendTransaction","api":"post /v1/wallets/{wallet_id}/rpc","href":"/api-reference/wallets/tempo/eth-send-transaction"},{"title":"eth_signTransaction","api":"post /v1/wallets/{wallet_id}/rpc","href":"/api-reference/wallets/tempo/eth-sign-transaction"}]},{"group":"Tron","pages":[{"title":"tron_sendTransaction","href":"/api-reference/wallets/tron/tron-send-transaction"},{"title":"tron_signTransaction","href":"/api-reference/wallets/tron/tron-sign-transaction"}]},{"group":"Spark BTC","pages":[{"title":"getBalance","api":"post /v1/wallets/{wallet_id}/rpc","href":"/api-reference/wallets/spark/get-balance"},{"title":"transfer","api":"post /v1/wallets/{wallet_id}/rpc","href":"/api-reference/wallets/spark/transfer"},{"title":"transferTokens","api":"post /v1/wallets/{wallet_id}/rpc","href":"/api-reference/wallets/spark/transfer-tokens"},{"title":"getStaticDepositAddress","api":"post /v1/wallets/{wallet_id}/rpc","href":"/api-reference/wallets/spark/get-static-deposit-address"},{"title":"claimStaticDeposit","api":"post /v1/wallets/{wallet_id}/rpc","href":"/api-reference/wallets/spark/claim-static-deposit"},{"title":"getClaimStaticDepositQuote","api":"post /v1/wallets/{wallet_id}/rpc","href":"/api-reference/wallets/spark/get-static-deposit-quote"},{"title":"createLightningInvoice","api":"post /v1/wallets/{wallet_id}/rpc","href":"/api-reference/wallets/spark/create-lightning-invoice"},{"title":"payLightningInvoice","api":"post /v1/wallets/{wallet_id}/rpc","href":"/api-reference/wallets/spark/pay-lightning-invoice"},{"title":"signMessageWithIdentityKey","api":"post /v1/wallets/{wallet_id}/rpc","href":"/api-reference/wallets/spark/sign-message-with-identity-key"},{"title":"getWithdrawalFeeQuote","api":"post /v1/wallets/{wallet_id}/rpc","href":"/api-reference/wallets/spark/get-withdrawal-fee-quote"},{"title":"withdraw","api":"post /v1/wallets/{wallet_id}/rpc","href":"/api-reference/wallets/spark/withdraw"}]},{"group":"Other chains","pages":[{"title":"Raw sign","openapi":"post /v1/wallets/{wallet_id}/raw_sign","href":"/api-reference/wallets/raw-sign"}]},{"group":"Transactions","pages":[{"title":"Get transaction","openapi":"get /v1/transactions/{transaction_id}","href":"/api-reference/transactions/get"},{"title":"Get transaction by external ID","openapi":"get /v1/transactions","href":"/api-reference/transactions/external-id"},{"title":"Get gas spend","openapi":"get /v1/apps/gas_spend","href":"/api-reference/transactions/gas-spend"},{"group":"Webhooks","pages":[{"openapi":"webhook transaction.broadcasted","title":"Transaction broadcasted","href":"/api-reference/webhooks/transaction/broadcasted"},{"openapi":"webhook transaction.confirmed","title":"Transaction confirmed","href":"/api-reference/webhooks/transaction/confirmed"},{"openapi":"webhook transaction.execution_reverted","title":"Transaction execution reverted","href":"/api-reference/webhooks/transaction/execution_reverted"},{"openapi":"webhook transaction.failed","title":"Transaction failed","href":"/api-reference/webhooks/transaction/failed"},{"openapi":"webhook transaction.provider_error","title":"Transaction provider error","href":"/api-reference/webhooks/transaction/provider_error"},{"openapi":"webhook transaction.replaced","title":"Transaction replaced","href":"/api-reference/webhooks/transaction/replaced"},{"openapi":"webhook transaction.still_pending","title":"Transaction still pending","href":"/api-reference/webhooks/transaction/still_pending"},{"openapi":"webhook user_operation.completed","title":"User operation completed","href":"/api-reference/webhooks/user-operation/completed"}]}]}]},{"group":"Deposits","pages":[{"group":"Fiat","pages":[{"title":"Create fiat deposit account","openapi":"post /v1/wallets/{wallet_id}/deposit_accounts/fiat","href":"/api-reference/fiat/deposit-accounts/create"},{"title":"List fiat deposit accounts","openapi":"get /v1/wallets/{wallet_id}/deposit_accounts/fiat","href":"/api-reference/fiat/deposit-accounts/list"},{"title":"Get fiat deposit account","openapi":"get /v1/wallets/{wallet_id}/deposit_accounts/fiat/{deposit_account_id}","href":"/api-reference/fiat/deposit-accounts/get"},{"title":"Update fiat deposit account","openapi":"patch /v1/wallets/{wallet_id}/deposit_accounts/fiat/{deposit_account_id}","href":"/api-reference/fiat/deposit-accounts/update"},{"group":"Webhooks","pages":[{"openapi":"webhook wallet.deposit_account.deposit_started","title":"Deposit started","href":"/api-reference/webhooks/deposit-account/deposit_started"},{"openapi":"webhook wallet.deposit_account.deposit_completed","title":"Deposit completed","href":"/api-reference/webhooks/deposit-account/deposit_completed"},{"openapi":"webhook wallet.deposit_account.deposit_failed","title":"Deposit failed","href":"/api-reference/webhooks/deposit-account/deposit_failed"}]}]},{"group":"Crypto","pages":[{"title":"Create crypto deposit account","openapi":"post /v1/wallets/{wallet_id}/deposit_accounts/crypto","href":"/api-reference/crypto-deposits/create"},{"title":"Quote crypto deposit account","openapi":"post /v1/deposit_accounts/crypto/quote","href":"/api-reference/crypto-deposits/quote"},{"title":"Get crypto deposit account order","openapi":"get /v1/wallets/{wallet_id}/deposit_accounts/crypto/orders/{order_id}","href":"/api-reference/crypto-deposits/get-order"},{"title":"Get next crypto deposit account order","openapi":"get /v1/wallets/{wallet_id}/deposit_accounts/crypto/next_order","href":"/api-reference/crypto-deposits/get-next-order"}]}]},{"group":"Payouts","pages":[{"group":"Fiat","pages":[{"title":"Create a payout","openapi":"post /v1/wallets/{wallet_id}/payout/fiat","href":"/api-reference/wallets/payout/create"},{"group":"External fiat accounts","pages":[{"group":"For users","pages":[{"title":"Create external fiat account","openapi":"post /v1/users/{user_id}/external_fiat_accounts","href":"/api-reference/fiat/external-fiat-accounts/create"},{"title":"List external fiat accounts","openapi":"get /v1/users/{user_id}/external_fiat_accounts","href":"/api-reference/fiat/external-fiat-accounts/list"},{"title":"Get external fiat account","openapi":"get /v1/users/{user_id}/external_fiat_accounts/{account_id}","href":"/api-reference/fiat/external-fiat-accounts/get"},{"title":"Delete external fiat account","openapi":"delete /v1/users/{user_id}/external_fiat_accounts/{account_id}","href":"/api-reference/fiat/external-fiat-accounts/delete"}]},{"group":"For organizations","pages":[{"title":"Create external fiat account","openapi":"post /v1/organizations/{organization_id}/external_fiat_accounts","href":"/api-reference/fiat/external-fiat-accounts/organizations/create"},{"title":"List external fiat accounts","openapi":"get /v1/organizations/{organization_id}/external_fiat_accounts","href":"/api-reference/fiat/external-fiat-accounts/organizations/list"},{"title":"Get external fiat account","openapi":"get /v1/organizations/{organization_id}/external_fiat_accounts/{account_id}","href":"/api-reference/fiat/external-fiat-accounts/organizations/get"},{"title":"Delete external fiat account","openapi":"delete /v1/organizations/{organization_id}/external_fiat_accounts/{account_id}","href":"/api-reference/fiat/external-fiat-accounts/organizations/delete"}]}]},{"group":"Webhooks","pages":[{"openapi":"webhook wallet_action.payout.created","title":"Payout created","href":"/api-reference/webhooks/wallet-action/payout/created"},{"openapi":"webhook wallet_action.payout.succeeded","title":"Payout succeeded","href":"/api-reference/webhooks/wallet-action/payout/succeeded"},{"openapi":"webhook wallet_action.payout.failed","title":"Payout failed","href":"/api-reference/webhooks/wallet-action/payout/failed"},{"openapi":"webhook wallet_action.payout.rejected","title":"Payout rejected","href":"/api-reference/webhooks/wallet-action/payout/rejected"}]}]},{"group":"Crypto","pages":[{"title":"Transfer","openapi":"post /v1/wallets/{wallet_id}/transfer","href":"/api-reference/wallets/transfer/index"},{"title":"Quote transfer fees","openapi":"post /v1/wallets/{wallet_id}/transfer/quote","href":"/api-reference/wallets/transfer/quote"},{"group":"Webhooks","pages":[{"openapi":"webhook wallet_action.transfer.created","title":"Transfer created","href":"/api-reference/webhooks/wallet-action/transfer/created"},{"openapi":"webhook wallet_action.transfer.succeeded","title":"Transfer succeeded","href":"/api-reference/webhooks/wallet-action/transfer/succeeded"},{"openapi":"webhook wallet_action.transfer.failed","title":"Transfer failed","href":"/api-reference/webhooks/wallet-action/transfer/failed"},{"openapi":"webhook wallet_action.transfer.rejected","title":"Transfer rejected","href":"/api-reference/webhooks/wallet-action/transfer/rejected"}]}]}]},{"group":"Swaps","pages":[{"title":"Get swap quote","openapi":"post /v1/wallets/{wallet_id}/swap/quote","href":"/api-reference/wallets/swap/quote"},{"title":"Swap tokens","openapi":"post /v1/wallets/{wallet_id}/swap","href":"/api-reference/wallets/swap/tokens"},{"group":"Webhooks","pages":[{"openapi":"webhook wallet_action.swap.created","title":"Swap created","href":"/api-reference/webhooks/wallet-action/swap/created"},{"openapi":"webhook wallet_action.swap.succeeded","title":"Swap succeeded","href":"/api-reference/webhooks/wallet-action/swap/succeeded"},{"openapi":"webhook wallet_action.swap.failed","title":"Swap failed","href":"/api-reference/webhooks/wallet-action/swap/failed"},{"openapi":"webhook wallet_action.swap.rejected","title":"Swap rejected","href":"/api-reference/webhooks/wallet-action/swap/rejected"}]}]},{"group":"Earn","pages":[{"title":"Deposit into vault","openapi":"post /v1/wallets/{wallet_id}/earn/ethereum/deposit","href":"/api-reference/wallets/earn/deposit"},{"title":"Withdraw from vault","openapi":"post /v1/wallets/{wallet_id}/earn/ethereum/withdraw","href":"/api-reference/wallets/earn/withdraw"},{"title":"Claim reward incentives","openapi":"post /v1/wallets/{wallet_id}/earn/ethereum/incentive/claim","href":"/api-reference/wallets/earn/incentive-claim"},{"title":"Get incentive rewards","openapi":"get /v1/wallets/{wallet_id}/earn/ethereum/incentive/claim","href":"/api-reference/wallets/earn/get-incentive-rewards"},{"title":"Get Ethereum vault details","openapi":"get /v1/earn/ethereum/vaults/{vault_id}","href":"/api-reference/wallets/earn/get-vault-details"},{"title":"Get Ethereum vault position","description":"Retrieve a wallet's current position in a specific Ethereum vault. Returns the vault shares and asset values.","openapi":"get /v1/wallets/{wallet_id}/earn/ethereum/vaults","href":"/api-reference/wallets/earn/get-position"},{"title":"Earn fee collect","openapi":"post /v1/wallets/{wallet_id}/earn/ethereum/fees/collect","href":"/api-reference/wallets/earn/fees-collect"},{"group":"Webhooks","pages":[{"group":"Earn deposits","pages":[{"openapi":"webhook wallet_action.earn_deposit.created","title":"Earn deposit created","description":"Fired when a wallet action is created and execution has begun. The action is now pending.","href":"/api-reference/webhooks/wallet-action/earn-deposit/created"},{"title":"Earn deposit succeeded","openapi":"webhook wallet_action.earn_deposit.succeeded","href":"/api-reference/webhooks/wallet-action/earn-deposit/succeeded"},{"title":"Earn deposit failed","openapi":"webhook wallet_action.earn_deposit.failed","href":"/api-reference/webhooks/wallet-action/earn-deposit/failed"},{"title":"Earn deposit rejected","openapi":"webhook wallet_action.earn_deposit.rejected","href":"/api-reference/webhooks/wallet-action/earn-deposit/rejected"}]},{"group":"Earn withdrawals","pages":[{"title":"Earn withdraw created","openapi":"webhook wallet_action.earn_withdraw.created","href":"/api-reference/webhooks/wallet-action/earn-withdraw/created"},{"title":"Earn withdraw succeeded","openapi":"webhook wallet_action.earn_withdraw.succeeded","href":"/api-reference/webhooks/wallet-action/earn-withdraw/succeeded"},{"title":"Earn withdraw failed","openapi":"webhook wallet_action.earn_withdraw.failed","href":"/api-reference/webhooks/wallet-action/earn-withdraw/failed"},{"title":"Earn withdraw rejected","openapi":"webhook wallet_action.earn_withdraw.rejected","href":"/api-reference/webhooks/wallet-action/earn-withdraw/rejected"}]},{"group":"Earn incentive claims","pages":[{"title":"Earn reward incentive claim created","openapi":"webhook wallet_action.earn_incentive_claim.created","href":"/api-reference/webhooks/wallet-action/earn-incentive-claim/created"},{"title":"Earn reward incentive claim succeeded","openapi":"webhook wallet_action.earn_incentive_claim.succeeded","href":"/api-reference/webhooks/wallet-action/earn-incentive-claim/succeeded"},{"title":"Earn reward incentive claim failed","openapi":"webhook wallet_action.earn_incentive_claim.failed","href":"/api-reference/webhooks/wallet-action/earn-incentive-claim/failed"},{"title":"Earn reward incentive claim rejected","openapi":"webhook wallet_action.earn_incentive_claim.rejected","href":"/api-reference/webhooks/wallet-action/earn-incentive-claim/rejected"}]},{"group":"Earn fee collections","pages":[{"title":"Earn fee collect created","openapi":"webhook wallet_action.earn_fee_collect.created","href":"/api-reference/webhooks/wallet-action/earn-fee-collect/created"},{"title":"Earn fee collect succeeded","openapi":"webhook wallet_action.earn_fee_collect.succeeded","href":"/api-reference/webhooks/wallet-action/earn-fee-collect/succeeded"},{"title":"Earn fee collect failed","openapi":"webhook wallet_action.earn_fee_collect.failed","href":"/api-reference/webhooks/wallet-action/earn-fee-collect/failed"},{"title":"Earn fee collect rejected","openapi":"webhook wallet_action.earn_fee_collect.rejected","href":"/api-reference/webhooks/wallet-action/earn-fee-collect/rejected"}]}]}]},{"group":"Wallet actions","pages":[{"title":"Get wallet action","openapi":"get /v1/wallets/{wallet_id}/actions/{action_id}","href":"/api-reference/wallets/actions/get"},{"title":"Get wallet action by external ID","openapi":"get /v1/actions","href":"/api-reference/wallets/actions/external-id"},{"title":"List all wallet actions","openapi":"get /v1/wallets/{wallet_id}/actions","href":"/api-reference/wallets/actions/list"}]}]},{"group":"Controls","pages":[{"group":"Key quorums","pages":[{"title":"Create key quorum","openapi":"post /v1/key_quorums","href":"/api-reference/key-quorums/create"},{"title":"Get key quorums","openapi":"get /v1/key_quorums","href":"/api-reference/key-quorums/get-all"},{"title":"Get key quorum","openapi":"get /v1/key_quorums/{key_quorum_id}","href":"/api-reference/key-quorums/get"},{"title":"Update key quorum","openapi":"patch /v1/key_quorums/{key_quorum_id}","href":"/api-reference/key-quorums/update"},{"title":"Delete key quorum","openapi":"delete /v1/key_quorums/{key_quorum_id}","href":"/api-reference/key-quorums/delete"}]},{"group":"Policies","pages":[{"title":"Create policy","openapi":"post /v1/policies","href":"/api-reference/policies/create"},{"title":"Get policies","openapi":"get /v1/policies","href":"/api-reference/policies/get-all"},{"title":"Get policy","openapi":"get /v1/policies/{policy_id}","href":"/api-reference/policies/get"},{"title":"Update policy","openapi":"patch /v1/policies/{policy_id}","href":"/api-reference/policies/update"},{"title":"Delete policy","openapi":"delete /v1/policies/{policy_id}","href":"/api-reference/policies/delete"},{"group":"Rules","pages":[{"title":"Add a rule to a policy","openapi":"post /v1/policies/{policy_id}/rules","href":"/api-reference/policies/rules/create"},{"title":"Get a rule from a policy","openapi":"get /v1/policies/{policy_id}/rules/{rule_id}","href":"/api-reference/policies/rules/get"},{"title":"Update a rule in a policy","openapi":"patch /v1/policies/{policy_id}/rules/{rule_id}","href":"/api-reference/policies/rules/update"},{"title":"Delete a rule from a policy","openapi":"delete /v1/policies/{policy_id}/rules/{rule_id}","href":"/api-reference/policies/rules/delete"}]}]},{"group":"Condition sets","pages":[{"title":"Create condition set","openapi":"post /v1/condition_sets","href":"/api-reference/condition-sets/create"},{"title":"Get condition sets","openapi":"get /v1/condition_sets","href":"/api-reference/condition-sets/get-all"},{"title":"Get condition set","openapi":"get /v1/condition_sets/{condition_set_id}","href":"/api-reference/condition-sets/get"},{"title":"Update condition set","openapi":"patch /v1/condition_sets/{condition_set_id}","href":"/api-reference/condition-sets/update"},{"title":"Delete condition set","openapi":"delete /v1/condition_sets/{condition_set_id}","href":"/api-reference/condition-sets/delete"},{"group":"Condition set items","pages":[{"title":"Add items to a condition set","openapi":"post /v1/condition_sets/{condition_set_id}/condition_set_items","href":"/api-reference/condition-sets/condition-set-items/create"},{"title":"Get an item from a condition set","openapi":"get /v1/condition_sets/{condition_set_id}/condition_set_items/{condition_set_item_id}","href":"/api-reference/condition-sets/condition-set-items/get"},{"title":"Get all items from a condition set","openapi":"get /v1/condition_sets/{condition_set_id}/condition_set_items","href":"/api-reference/condition-sets/condition-set-items/get-all"},{"title":"Update items in a condition set","openapi":"put /v1/condition_sets/{condition_set_id}/condition_set_items","href":"/api-reference/condition-sets/condition-set-items/update"},{"title":"Delete an item from a condition set","openapi":"delete /v1/condition_sets/{condition_set_id}/condition_set_items/{condition_set_item_id}","href":"/api-reference/condition-sets/condition-set-items/delete"}]}]},{"group":"Aggregations","pages":[{"title":"Create aggregation","openapi":"post /v1/aggregations","href":"/api-reference/aggregations/create"},{"title":"Get aggregation","openapi":"get /v1/aggregations/{aggregation_id}","href":"/api-reference/aggregations/get"},{"title":"Delete aggregation","openapi":"delete /v1/aggregations/{aggregation_id}","href":"/api-reference/aggregations/delete"}]},{"group":"Wallet automations","pages":[{"title":"Create wallet automation","openapi":"post /v1/wallet_automations","href":"/api-reference/wallet-automations/create"},{"title":"List wallet automations","openapi":"get /v1/wallet_automations","href":"/api-reference/wallet-automations/list"},{"title":"Get wallet automation","openapi":"get /v1/wallet_automations/{automation_id}","href":"/api-reference/wallet-automations/get"},{"title":"Update wallet automation","openapi":"patch /v1/wallet_automations/{automation_id}","href":"/api-reference/wallet-automations/update"},{"title":"Delete wallet automation","openapi":"delete /v1/wallet_automations/{automation_id}","href":"/api-reference/wallet-automations/delete"},{"group":"Wallet attachments","pages":[{"title":"Attach wallet automations","openapi":"post /v1/wallets/{wallet_id}/automations/attach","href":"/api-reference/wallet-automations/attach"},{"title":"Detach wallet automations","openapi":"post /v1/wallets/{wallet_id}/automations/detach","href":"/api-reference/wallet-automations/detach"}]},{"title":"List wallet automation executions","openapi":"get /v1/wallet_automations/executions","href":"/api-reference/wallet-automations/list-executions"},{"title":"Reindex wallet automations","openapi":"post /v1/wallet_automations/reindex","href":"/api-reference/wallet-automations/reindex"},{"group":"Webhooks","pages":[{"openapi":"webhook wallet_automation.submitted","title":"Wallet automation submitted","href":"/api-reference/webhooks/wallet-automation/submitted"}]}]}]},{"group":"Identity","pages":[{"group":"Users","pages":[{"title":"Create user","openapi":"post /v1/users","playground":"interactive","href":"/api-reference/users/create"},{"group":"Get user","pages":[{"title":"Get user by ID","openapi":"get /v1/users/{user_id}","href":"/api-reference/users/get"},{"group":"Linked accounts","pages":[{"title":"Get user by wallet address","openapi":"post /v1/users/wallet/address","href":"/api-reference/users/get-by-wallet-address"},{"title":"Get user by smart wallet address","openapi":"post /v1/users/smart_wallet/address","href":"/api-reference/users/get-by-smart-wallet-address"},{"title":"Get user by custom auth ID","openapi":"post /v1/users/custom_auth/id","href":"/api-reference/users/get-by-custom-auth"},{"title":"Get user by email address","openapi":"post /v1/users/email/address","href":"/api-reference/users/get-by-email-address"},{"title":"Get user by phone number","openapi":"post /v1/users/phone/number","href":"/api-reference/users/get-by-phone-number"},{"title":"Get user by Discord username","openapi":"post /v1/users/discord/username","href":"/api-reference/users/get-by-discord-username"},{"title":"Get user by GitHub username","openapi":"post /v1/users/github/username","href":"/api-reference/users/get-by-github-username"},{"title":"Get user by Instagram username","openapi":"post /v1/users/instagram/username","href":"/api-reference/users/get-by-instagram-username"},{"title":"Get user by Twitter username","openapi":"post /v1/users/twitter/username","href":"/api-reference/users/get-by-twitter-username"},{"title":"Get user by Twitter subject","openapi":"post /v1/users/twitter/subject","href":"/api-reference/users/get-by-twitter-subject"},{"title":"Get user by Telegram username","openapi":"post /v1/users/telegram/username","href":"/api-reference/users/get-by-telegram-username"},{"title":"Get user by Telegram user ID","openapi":"post /v1/users/telegram/telegram_user_id","href":"/api-reference/users/get-by-telegram-user-id"},{"title":"Get user by Farcaster ID","openapi":"post /v1/users/farcaster/fid","href":"/api-reference/users/get-by-farcaster-id"},{"title":"Get user by Spotify subject","openapi":"post /v1/users/spotify/subject","href":"/api-reference/users/get-by-spotify-subject"},{"title":"Get user by Twitch username","openapi":"post /v1/users/twitch/username","href":"/api-reference/users/get-by-twitch-username"}]}]},{"title":"Get users","openapi":"get /v1/users","playground":"interactive","href":"/api-reference/users/get-all"},{"title":"Search users","openapi":"post /v1/users/search","href":"/api-reference/users/search"},{"title":"Refresh Twitter account","api":"post /v1/users/twitter/refresh","href":"/api-reference/users/refresh-twitter-account"},{"title":"Delete user","openapi":"delete /v1/users/{user_id}","href":"/api-refer
[...]
